JTS Topology Suite version 1.13

## com.vividsolutions.jts.io
Class WKBHexFileReader

    java.lang.Object
      com.vividsolutions.jts.io.WKBHexFileReader

    public class WKBHexFileReader

extends java.lang.Object

Reads a sequence of `Geometry`s in WKBHex format from a text file. Each WKBHex geometry must be on a single line The geometries in the file may be separated by any amount of whitespace and newlines.

Author:
  Martin Davis

Constructor Summary
`WKBHexFileReader(java.io.File file, WKBReader wkbReader)` Creates a new `WKBHexFileReader` given the `File` to read from and a `WKTReader` to use to parse the geometries.
`WKBHexFileReader(java.io.Reader reader, WKBReader wkbReader)` Creates a new `WKBHexFileReader`, given a `Reader` to read from.
`WKBHexFileReader(java.lang.String filename, WKBReader wkbReader)` Creates a new `WKBHexFileReader`, given the name of the file to read from.

Method Summary
`java.util.List` `read()` Reads a sequence of geometries.
`void` `setLimit(int limit)` Sets the maximum number of geometries to read.
`void` `setOffset(int offset)` Sets the number of geometries to skip before storing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WKBHexFileReader

    public WKBHexFileReader(java.io.File file,
                            WKBReader wkbReader)

  Creates a new `WKBHexFileReader` given the `File` to read from and a `WKTReader` to use to parse the geometries.

  Parameters:
    `file` - the `File` to read from
    `wkbReader` - the geometry reader to use

### WKBHexFileReader

    public WKBHexFileReader(java.lang.String filename,
                            WKBReader wkbReader)

  Creates a new `WKBHexFileReader`, given the name of the file to read from.

  Parameters:
    `filename` - the name of the file to read from
    `wkbReader` - the geometry reader to use

### WKBHexFileReader

    public WKBHexFileReader(java.io.Reader reader,
                            WKBReader wkbReader)

  Creates a new `WKBHexFileReader`, given a `Reader` to read from.

  Parameters:
    `reader` - the reader to read from
    `wkbReader` - the geometry reader to use

Method Detail

### setLimit

    public void setLimit(int limit)

  Sets the maximum number of geometries to read.

  Parameters:
    `limit` - the maximum number of geometries to read

### setOffset

    public void setOffset(int offset)

  Sets the number of geometries to skip before storing.

  Parameters:
    `offset` - the number of geometries to skip

### read

    public java.util.List read()
                        throws java.io.IOException,
                               ParseException

  Reads a sequence of geometries. If an offset is specified, geometries read up to the offset count are skipped. If a limit is specified, no more than `limit` geometries are read.

  Returns:
    the list of geometries read
  Throws:
    `java.io.IOException` - if an I/O exception was encountered
    `ParseException` - if an error occured reading a geometry

JTS Topology Suite version 1.13